### Run farm tasks
scoreboard players operation @s temp = world time
scoreboard players set mod temp 18000
scoreboard players operation @s temp %= mod temp

execute @s[scores={temp=1}] ~ ~ ~ execute @e[type=piki:trap.scare] ~ ~ ~ setblock ~ ~ ~ air 0
execute @s[scores={temp=1}] ~ ~ ~ execute @e[type=piki:trap.scare] ~ ~ ~ setblock ~ ~-1 ~ gravel 0
execute @s[scores={temp=1}] ~ ~ ~ replaceitem entity @e[type=piki:castle_farmer] slot.inventory 0 air 
execute @s[scores={temp=1}] ~ ~ ~ replaceitem entity @e[type=piki:castle_farmer] slot.inventory 1 air 
execute @s[scores={temp=1}] ~ ~ ~ replaceitem entity @e[type=piki:castle_farmer] slot.inventory 2 air 
execute @s[scores={temp=1}] ~ ~ ~ replaceitem entity @e[type=piki:castle_farmer] slot.inventory 0 wheat_seeds 32

execute @s[scores={temp=6000}] ~ ~ ~ replaceitem entity @e[type=piki:castle_farmer] slot.inventory 0 air 
execute @s[scores={temp=6000}] ~ ~ ~ replaceitem entity @e[type=piki:castle_farmer] slot.inventory 1 air 
execute @s[scores={temp=6000}] ~ ~ ~ replaceitem entity @e[type=piki:castle_farmer] slot.inventory 2 air 
execute @s[scores={temp=6000}] ~ ~ ~ replaceitem entity @e[type=piki:castle_farmer] slot.inventory 0 wheat_seeds 32

execute @s[scores={temp=12000}] ~ ~ ~ execute @e[type=piki:trap.scare] ~ ~ ~ setblock ~ ~ ~ air 0
execute @s[scores={temp=12000}] ~ ~ ~ execute @e[type=piki:trap.scare] ~ ~ ~ setblock ~ ~-1 ~ gravel 0
execute @s[scores={temp=12000}] ~ ~ ~ replaceitem entity @e[type=piki:castle_farmer] slot.inventory 0 air 
execute @s[scores={temp=12000}] ~ ~ ~ replaceitem entity @e[type=piki:castle_farmer] slot.inventory 1 air 
execute @s[scores={temp=12000}] ~ ~ ~ replaceitem entity @e[type=piki:castle_farmer] slot.inventory 2 air 
execute @s[scores={temp=12000}] ~ ~ ~ replaceitem entity @e[type=piki:castle_farmer] slot.inventory 0 wheat_seeds 32

execute @s[scores={temp=15000}] ~ ~ ~ replaceitem entity @e[type=piki:castle_farmer] slot.inventory 0 air 
execute @s[scores={temp=15000}] ~ ~ ~ replaceitem entity @e[type=piki:castle_farmer] slot.inventory 1 air 
execute @s[scores={temp=15000}] ~ ~ ~ replaceitem entity @e[type=piki:castle_farmer] slot.inventory 2 air 
execute @s[scores={temp=15000}] ~ ~ ~ replaceitem entity @e[type=piki:castle_farmer] slot.inventory 0 wheat_seeds 32

### Remove seeds dropped from wheat harvesting
kill @e[name=seeds]

### Run garden restore
scoreboard players operation @s temp = world time
scoreboard players set mod temp 10
scoreboard players operation world_tiome temp = world time
scoreboard players operation test temp = @s temp
scoreboard players operation @s temp %= mod temp
scoreboard players operation test temp = @s temp
execute @s[scores={temp=1}] ~ ~ ~ function gameplay/controllers/garden

### Run fox despawn
scoreboard players operation @s temp = world time
scoreboard players set mod temp 10
scoreboard players operation @s temp %= mod temp
execute @s[scores={temp=1}] ~ ~ ~ function gameplay/foxes/despawn

### GATE FIX
scoreboard players operation @s temp = world time
scoreboard players set mod temp 10
scoreboard players operation @s temp %= mod temp
execute @s[scores={temp=1}] ~ ~ ~ execute @e[type=piki:gear,tag=raised] ~ ~ ~ fill ~1 ~-5 ~1 ~-1 ~-7 ~-1 air 0 replace barrier

### Run fox despawn
scoreboard players operation @s temp = world time
scoreboard players set mod temp 10
scoreboard players operation @s temp %= mod temp
execute @s[scores={temp=1}] ~ ~ ~ function gameplay/foxes/despawn

### Pet fox check
scoreboard players operation @s temp = world time
scoreboard players set mod temp 100
scoreboard players operation @s temp %= mod temp
execute @s[scores={temp=1}] ~ ~ ~ execute @e[type=piki:trader_beach] ~ ~ ~ tp @e[type=piki:pet,tag=beach,rm=15] @e[type=piki:trader_beach]
execute @s[scores={temp=1}] ~ ~ ~ execute @e[type=piki:trader_desert] ~ ~ ~ tp @e[type=piki:pet,tag=desert,rm=15] @e[type=piki:trader_desert]
execute @s[scores={temp=1}] ~ ~ ~ execute @e[type=piki:trader_forest] ~ ~ ~ tp @e[type=piki:pet,tag=forest,rm=15] @e[type=piki:trader_forest]
execute @s[scores={temp=1}] ~ ~ ~ execute @e[type=piki:trader_mountain] ~ ~ ~ tp @e[type=piki:pet,tag=mountain,rm=15] @e[type=piki:trader_mountain]

### Run chicken spawner
scoreboard players operation @s temp = world time
scoreboard players set mod temp 1200
scoreboard players operation @s temp %= mod temp
execute @s[scores={temp=1}] ~ ~ ~ function gameplay/spawners/setup
execute @s[scores={temp=1}] ~ ~ ~ function gameplay/chickens/spawn

### Run Season 3 compromised Gate
execute @s[scores={temp=36000..,season=3..}] ~ ~ ~ execute @e[type=piki:gear,tag=compromised] ~ ~-7 ~ execute @e[family=fox,r=5] ~ ~ ~ event entity @e[type=piki:gear,c=1] raise_temp
execute @s[scores={season=4}] ~ ~ ~ execute @e[type=piki:gear,tag=compromised] ~ ~-7 ~ execute @e[family=fox,r=5] ~ ~ ~ event entity @e[type=piki:gear,c=1] raise_temp

### Change from phase 1 to phase 2
scoreboard players operation @s temp = world time
execute @s[scores={temp=36000}] ~ ~ ~ scoreboard players set @s phase 2
execute @s[scores={temp=36000,season=1}] ~ ~ ~ function gameplay/seasons/season_1.2
execute @s[scores={temp=36000,season=2}] ~ ~ ~ function gameplay/seasons/season_2.2
execute @s[scores={temp=36000,season=3}] ~ ~ ~ function gameplay/seasons/season_3.2
execute @s[scores={temp=36000,season=4}] ~ ~ ~ function gameplay/seasons/season_4.2