### Remove remaining foxes from previous wave
execute @s[scores={wave=1800}] ~ ~ ~ event entity @e[family=fox] burrow
execute @s[scores={wave=11980}] ~ ~ ~ event entity @e[family=fox] instant_despawn

### Wave and Raid countdown resets
scoreboard players add @s wave 0
scoreboard players add @s raid_logic 0

### Raid check
execute @s[scores={temp=1}] ~ ~ ~ function gameplay/raids/raid

### Wave Trigger
execute @s[scores={season=1,wave=1,phase=1,time=0}] ~ ~ ~ function gameplay/waves/season_1/phase_1
execute @s[scores={season=1,wave=1,phase=2,time=0}] ~ ~ ~ function gameplay/waves/season_1/phase_2
### ONE DAY ONE NIGHT
execute @s[scores={season=2,wave=1,phase=1}] ~ ~ ~ function gameplay/waves/season_2/phase_1
execute @s[scores={season=2,wave=1,phase=2}] ~ ~ ~ function gameplay/waves/season_2/phase_2
### TWO DAY ONE NIGHT
execute @s[scores={season=3,temp=2..,wave=1,phase=1}] ~ ~ ~ function gameplay/waves/season_3/phase_1
execute @s[scores={season=3,temp=2..,wave=1,phase=2}] ~ ~ ~ function gameplay/waves/season_3/phase_2
### TWO DAY ONE NIGHT
execute @s[scores={season=4,temp=2..,wave=1,phase=1}] ~ ~ ~ function gameplay/waves/season_4/phase_1
execute @s[scores={season=4,temp=2..,wave=1,phase=2}] ~ ~ ~ function gameplay/waves/season_4/phase_2

### Raid countdown - CONDITIONALLY remove 1 each tick
execute @s[scores={season=2,wave=2,time=1}] ~ ~ ~ scoreboard players remove raid_accum raid_logic 1
execute @s[scores={season=3..,wave=2}] ~ ~ ~ scoreboard players remove raid_accum raid_logic 1

### Set raid countdown
scoreboard players operation @s temp = raid_accum raid_logic
execute @s[scores={temp=1}] ~ ~ ~ scoreboard players random raid_accum raid_logic 4 6

### Wave reset
execute @s[scores={wave=..0}] ~ ~ ~ scoreboard players set @s wave 4200

### Wave countdown - Remove 1 each tick
scoreboard players remove @s wave 1
scoreboard players operation @a wave = @s wave