### Init world

# kill @e
function gameplay/controllers/processor
scoreboard players operation @a[tag=main,tag=!init] temp = world time
execute @a[tag=main,tag=!init,scores={temp=1..}] ~ ~ ~ tag @s add init

### Init NPC's
scoreboard players add @e[family=npc] setup_npc_diag 0
execute @e[family=npc,scores={setup_npc_diag=0}] ~ ~ ~ function gameplay/setup/npc
scoreboard players operation @e[family=npc] season = @a[tag=main] season
execute @e[type=piki:trader_beach,tag=!trader_1,scores={season=..3}] ~ ~ ~ tag @s add trader_1
execute @e[type=piki:trader_desert,tag=!trader_1,scores={season=..3}] ~ ~ ~ tag @s add trader_1
execute @e[type=piki:trader_forest,tag=!trader_1,scores={season=..3}] ~ ~ ~ tag @s add trader_1
execute @e[type=piki:trader_mountain,tag=!trader_1,scores={season=..3}] ~ ~ ~ tag @s add trader_1
execute @e[type=piki:trader_beach,tag=!trader_2,scores={season=4}] ~ ~ ~ tag @s add trader_2
execute @e[type=piki:trader_desert,tag=!trader_2,scores={season=4}] ~ ~ ~ tag @s add trader_2
execute @e[type=piki:trader_forest,tag=!trader_2,scores={season=4}] ~ ~ ~ tag @s add trader_2
execute @e[type=piki:trader_mountain,tag=!trader_2,scores={season=4}] ~ ~ ~ tag @s add trader_2

### Set Player season scores
scoreboard players operation @a season = main season
scoreboard players operation @a phase = main phase

### Run gameplay controllers
execute @a[tag=main,tag=!init] ~ ~ ~ function gameplay/controllers/startup
execute @a[tag=main,tag=init] ~ ~ ~ function gameplay/controllers/buff
execute @a[tag=main,tag=init] ~ ~ ~ function gameplay/controllers/time
execute @a[tag=main,tag=init] ~ ~ ~ function gameplay/controllers/schedule
execute @a[tag=main,tag=init] ~ ~ ~ function gameplay/controllers/waves
execute @a[tag=main,tag=init] ~ ~ ~ function gameplay/controllers/stats
execute @a[tag=main,tag=init] ~ ~ ~ function gameplay/controllers/achievements
execute @a[tag=main,tag=init,scores={season=4}] ~ ~ ~ function gameplay/controllers/trader_fox
execute @a[tag=main,tag=init,scores={season=4},hasitem={item=piki:upgrade_ultimate},tag=!malware_run] ~ ~ ~ function gameplay/castle/malware

### ================= PLEASE CHECK BEFORE PRODUCTION PACKAGE ================= ##

tag @e[family=trader,tag=!pet_respawn,tag=owner] remove pet
execute @e[type=piki:trader_beach,tag=!pet_respawn,tag=owner] ~ ~ ~ execute @e[type=piki:pet,tag=trader_beach,r=8] ~ ~ ~ tag @e[type=piki:trader_beach,tag=owner] add pet
execute @e[type=piki:trader_desert,tag=!pet_respawn,tag=owner] ~ ~ ~ execute @e[type=piki:pet,tag=trader_desert,r=8] ~ ~ ~ tag @e[type=piki:trader_desert,tag=owner] add pet
execute @e[type=piki:trader_forest,tag=!pet_respawn,tag=owner] ~ ~ ~ execute @e[type=piki:pet,tag=trader_forest,r=8] ~ ~ ~ tag @e[type=piki:trader_forest,tag=owner] add pet
execute @e[type=piki:trader_mountain,tag=!pet_respawn,tag=owner] ~ ~ ~ execute @e[type=piki:pet,tag=trader_mountain,r=8] ~ ~ ~ tag @e[type=piki:trader_mountain,tag=owner] add pet

execute @e[type=piki:trader_beach,tag=!pet_respawn,tag=!pet,tag=owner] ~ ~ ~ event entity @e[type=piki:pet,tag=trader_beach] instant_despawn
execute @e[type=piki:trader_desert,tag=!pet_respawn,tag=!pet,tag=owner] ~ ~ ~ event entity @e[type=piki:pet,tag=trader_desert] instant_despawn
execute @e[type=piki:trader_forest,tag=!pet_respawn,tag=!pet,tag=owner] ~ ~ ~ event entity @e[type=piki:pet,tag=trader_forest] instant_despawn
execute @e[type=piki:trader_mountain,tag=!pet_respawn,tag=!pet,tag=owner] ~ ~ ~ event entity @e[type=piki:pet,tag=trader_mountain] instant_despawn
execute @e[family=trader,tag=!pet_respawn,tag=!pet,tag=owner] ~ ~ ~  kill @e[type=item,name=lead]
event entity @e[family=trader,tag=!pet_respawn,tag=!pet,tag=owner] pet 

tag @e[family=trader,tag=!pet_respawn,tag=!pet,tag=owner] add pet_respawn

### Set game locks
gamemode adventure @a
gamerule sendcommandfeedback false
scoreboard objectives setdisplay sidebar

### Fox golden chicken fix
execute @e[family=marker_golden_chicken,tag=golden_chicken_1] ~ ~ ~ tag @e[family=fox,r=2] add golden_chicken_1
execute @e[family=marker_golden_chicken,tag=golden_chicken_2] ~ ~ ~ tag @e[family=fox,r=2] add golden_chicken_2

execute @a[tag=main,tag=init_fix] ~ ~ ~ function init

scoreboard players add @a season_code 0

execute @a[tag=main,tag=!init] ~ ~ ~ tag @a remove tXR4i8ivsG
execute @a[tag=main,tag=!init] ~ ~ ~ tag @a remove PNst51uDa9
execute @a[tag=main,tag=!init] ~ ~ ~ tag @a remove 3acqesntuo
execute @a[tag=main,scores={season_code=..1}] ~ ~ ~ tag @a remove PNst51uDa9
execute @a[tag=main,scores={season_code=..3}] ~ ~ ~ tag @a remove 3acqesntuo

execute @a[tag=main,tag=init,tag=tXR4i8ivsG,scores={season_code=0}] ~ ~ ~ scoreboard players set @a season_code 1
execute @a[tag=main,tag=init,scores={season_code=1}] ~ ~ ~ function code/tXR4i8ivsG
execute @a[tag=main,tag=init,scores={season_code=1}] ~ ~ ~ scoreboard players set @a season_code 2

execute @a[tag=main,tag=init,tag=PNst51uDa9,scores={season_code=2}] ~ ~ ~ scoreboard players set @a season_code 3
execute @a[tag=main,tag=init,scores={season_code=3}] ~ ~ ~ function code/PNst51uDa9
execute @a[tag=main,tag=init,scores={season_code=3}] ~ ~ ~ scoreboard players set @a season_code 4

execute @a[tag=main,tag=init,tag=3acqesntuo,scores={season_code=4}] ~ ~ ~ scoreboard players set @a season_code 5
execute @a[tag=main,tag=init,scores={season_code=5}] ~ ~ ~ function code/3acqesntuo
execute @a[tag=main,tag=init,scores={season_code=5}] ~ ~ ~ scoreboard players set @a season_code 6
