### Set player season score
scoreboard players set main season 1
scoreboard players operation @a season = main season

### Set player phase score
scoreboard players set main phase 1
scoreboard players operation @a phase = main phase

### Setup time
time set 0
gamerule dodaylightcycle true
scoreboard players set @a[tag=main] time 1
scoreboard players set world time 1

### First wave starts at sundown on the first day
scoreboard players set @a[tag=main] wave 13000

### Load achievements
event entity @e[type=piki:achievements] week_1
function achievements/update

# Load lecterns
structure load lect_fox_1 -3 85 -7
structure load lect_trap_1 3 85 -7
structure load lect_build -3 85 7
structure load lect_ach 3 85 7

### Achievements
event entity @e[type=piki:castle] instant_despawn
event entity @e[type=piki:banner,tag=castle] instant_despawn
function achievements/init
# structure load season2 6 85 6

### Open castle stairs
fill -6 85 8 -5 86 8 air
fill -8 86 5 -8 87 6 air
fill -6 85 -8 -5 86 -8 air
fill -8 86 -5 -8 87 -6 air

### Load trader
execute @a[tag=main,scores={castle_type=1}] ~ ~ ~ structure load trader_b_1 -6 77 -6
execute @a[tag=main,scores={castle_type=2}] ~ ~ ~ structure load trader_d_1 -6 77 -6
execute @a[tag=main,scores={castle_type=3}] ~ ~ ~ structure load trader_f_1 -6 77 -6
execute @a[tag=main,scores={castle_type=4}] ~ ~ ~ structure load trader_m_1 -6 77 -6

### Update dialogue
dialogue change @e[type=piki:castle_librarian] librarian_intro_1.1

### Load Castle Farmer
structure load bed_east -8 75 8
event entity @e[type=piki:castle_farmer] sign_info
structure load seeds16 -7 77 7
structure load castle_garden -16 75 -9 90_degrees
summon piki:castle_farmer -15 77 -5

### Load initial Chickens
summon piki:chicken -15 77 5 spawn_tutorial
summon piki:chicken -35 77 -35
summon piki:chicken -35 77 35
summon piki:chicken 35 77 -35
summon piki:chicken 35 77 35

### Start day
gamerule dodaylightcycle true

tag @a[tag=main] add start

### Achievement 4 checker
fill 3 5 -5 4 5 -4 minecraft:redstone_block

### Title display
title @a title §3Season 1
title @a subtitle §bDefend your assets
stopsound @a
playsound piki.season1 @a ~ ~ ~ 0.15

### HARD FIX PASSCODE
setblock 6 4 -2 air