### Set player season score
scoreboard players set main season 2
scoreboard players operation @a season = main season

### Set player phase score
scoreboard players set main phase 1
scoreboard players operation @a phase = main phase

### Setup time
time set 0
gamerule dodaylightcycle true
scoreboard players set @a[tag=main] time 1
scoreboard players set world time 1

### First wave starts at sundown on the first day
scoreboard players set @a[tag=main] wave 13000

### Load achievements
event entity @e[type=piki:achievements] week_2
function achievements/update

### Load lecterns
structure load lect_fox_2 -3 85 -7
structure load lect_trap_2 3 85 -7
structure load lect_build -3 85 7
structure load lect_ach 3 85 7

### Load in Golden Chicken
structure load chicken_bed -7 81 -2
summon piki:golden_chicken -6 81.5 0

### Shut down castle garden
fill -16 76 -9 -14 76 -5 minecraft:dirt 1

### Load in Farmers
summon piki:farmer_beach -3 77 -6
summon piki:farmer_desert -5 81 -2
summon piki:farmer_forest 4 77 18
summon piki:farmer_mountain -4 77 5

execute @e[type=piki:farmer_forest] ~ ~ ~ tp @s ~ ~ ~ 180 0 
execute @e[type=piki:farmer_mountain] ~ ~ ~ tp @s ~ ~ ~ 270 0 
execute @e[type=piki:farmer_beach] ~ ~ ~ tp @s ~ ~ ~ -45 0 

### Load trader
kill @e[type=piki:castle_trader]
execute @a[tag=main,scores={castle_type=1}] ~ ~ ~ structure load trader_b_2 -6 77 -6
execute @a[tag=main,scores={castle_type=2}] ~ ~ ~ structure load trader_d_2 -6 77 -6
execute @a[tag=main,scores={castle_type=3}] ~ ~ ~ structure load trader_f_2 -6 77 -6
execute @a[tag=main,scores={castle_type=4}] ~ ~ ~ structure load trader_m_2 -6 77 -6

### Update dialogue
event entity @e[family=npc] clear
dialogue change @e[type=piki:castle_librarian] librarian_info_season2_1.1
dialogue change @e[type=piki:castle_farmer] castle_farmer_season2_1.1
event entity @e[type=piki:castle_farmer] sign_warn

execute @e[type=piki:castle_librarian] ~ ~ ~ event entity @e[type=piki:move_marker,family=marker_librarian] instant_despawn
execute @e[type=piki:castle_librarian] ~ ~ ~ tp @s -6 85 -1
execute @e[type=piki:castle_librarian] ~ ~ ~ event entity @s waypoint_pause
execute @e[type=piki:castle_librarian] ~ ~ ~ event entity @s sign_info
execute @e[type=piki:castle_librarian] ~ ~ ~ event entity @s sign_warn
execute @e[type=piki:castle_librarian] ~ ~ ~ scoreboard players set @s pathfinding 31

### Setup Golden Chicken Marker
summon piki:move_marker 9 80 -9 marker_golden_chicken
summon piki:move_marker 9 80 9 marker_golden_chicken
tag @e[family=marker_golden_chicken] add golden_chicken_1

summon piki:move_marker 6 82 0 marker_golden_chicken
tag @e[family=marker_golden_chicken,tag=] add golden_chicken_2

### Replace season changer
# structure load season3 6 85 6

### Title display
title @a title §3Season 2
title @a subtitle §bEvolving threats
stopsound @a piki.season1
playsound piki.season2 @a ~ ~ ~ 0.15

### Clear Villager Behaviour from Castle Farmer
event entity @e[type=piki:castle_farmer] clear_villager

### Load players
tp @a 3 85 0 90 0

### Clear barrier blocks in Library
fill -8 83 9 -4 88 -8 air 0 replace minecraft:barrier
