### Set player season score
scoreboard players set main season 3
scoreboard players operation @a season = main season

### Set player phase score
scoreboard players set main phase 1
scoreboard players operation @a phase = main phase

### Setup time
time set 0
gamerule dodaylightcycle true
scoreboard players set @a[tag=main] time 1
scoreboard players set world time 1

### First wave starts at sundown on the first day
scoreboard players set @a[tag=main] wave 13000

### Load achievements
event entity @e[type=piki:achievements] week_3
function achievements/update

### Load lecterns
structure load lect_fox_3 -3 85 -7
structure load lect_trap_3 3 85 -7
structure load lect_build -3 85 7
structure load lect_ach 3 85 7

### Summon scanner
summon piki:scanner 4.0 82 -2

### Load trader
kill @e[type=piki:castle_trader]
execute @a[tag=main,scores={castle_type=1}] ~ ~ ~ structure load trader_b_3 -6 77 -6
execute @a[tag=main,scores={castle_type=2}] ~ ~ ~ structure load trader_d_3 -6 77 -6
execute @a[tag=main,scores={castle_type=3}] ~ ~ ~ structure load trader_f_3 -6 77 -6
execute @a[tag=main,scores={castle_type=4}] ~ ~ ~ structure load trader_m_3 -6 77 -6

### Update dialogue
dialogue change @e[type=piki:castle_librarian] librarian_info_season3_1.1
event entity @e[type=piki:castle_librarian] waypoint_continue

### Title display
title @a title §3Season 3
title @a subtitle §bKingdom expansion
stopsound @a piki.season2
playsound piki.season3 @a ~ ~ ~ 0.15

### Replace season changer
# structure load season4 6 85 6

# ### Fix most walls [BETA TESTING ONLY]
# tag @e[type=piki:waller,c=1] add leave
# event entity @e[type=piki:waller,tag=!leave] build

# scoreboard players random @a[tag=main] temp 1 4
scoreboard players random @a[tag=main,tag=!hut_beach,tag=!hut_desert,tag=!hut_forest,tag=!hut_mountain] temp 1 4

### Setup preloaded hut
execute @a[tag=main,scores={temp=1}] ~ ~ ~ tag @s add hut_beach
execute @a[tag=main,scores={temp=1}] ~ ~ ~ tag @e[type=piki:farmer_beach] add preload
execute @a[tag=main,scores={temp=1}] ~ ~ ~ tp @e[type=piki:farmer_beach] -32 77 0
execute @a[tag=main,scores={temp=1}] ~ ~ ~ scoreboard players set @e[type=piki:farmer_beach] pathfinding 2
execute @a[tag=main,scores={temp=1}] ~ ~ ~ event entity @e[type=piki:farmer_beach] base
execute @a[tag=main,scores={temp=1}] ~ ~ ~ event entity @e[type=piki:farmer_beach] continue

execute @a[tag=main,scores={temp=2}] ~ ~ ~ tag @s add hut_desert
execute @a[tag=main,scores={temp=2}] ~ ~ ~ tag @e[type=piki:farmer_desert] add preload
execute @a[tag=main,scores={temp=2}] ~ ~ ~ tp @e[type=piki:farmer_desert] 0 77 -32
execute @a[tag=main,scores={temp=2}] ~ ~ ~ scoreboard players set @e[type=piki:farmer_desert] pathfinding 4
execute @a[tag=main,scores={temp=2}] ~ ~ ~ event entity @e[type=piki:farmer_desert] base
execute @a[tag=main,scores={temp=2}] ~ ~ ~ event entity @e[type=piki:farmer_desert] continue

execute @a[tag=main,scores={temp=3}] ~ ~ ~ tag @s add hut_forest
execute @a[tag=main,scores={temp=3}] ~ ~ ~ tag @e[type=piki:farmer_forest] add preload
execute @a[tag=main,scores={temp=3}] ~ ~ ~ tp @e[type=piki:farmer_forest] 0 77 32
execute @a[tag=main,scores={temp=3}] ~ ~ ~ scoreboard players set @e[type=piki:farmer_forest] pathfinding 1
execute @a[tag=main,scores={temp=3}] ~ ~ ~ event entity @e[type=piki:farmer_forest] base
execute @a[tag=main,scores={temp=3}] ~ ~ ~ event entity @e[type=piki:farmer_forest] continue

execute @a[tag=main,scores={temp=4}] ~ ~ ~ tag @s add hut_mountain
execute @a[tag=main,scores={temp=4}] ~ ~ ~ tag @e[type=piki:farmer_mountain] add preload
execute @a[tag=main,scores={temp=4}] ~ ~ ~ tp @e[type=piki:farmer_mountain] 32 77 0
execute @a[tag=main,scores={temp=4}] ~ ~ ~ scoreboard players set @e[type=piki:farmer_mountain] pathfinding 2
execute @a[tag=main,scores={temp=4}] ~ ~ ~ event entity @e[type=piki:farmer_mountain] base
execute @a[tag=main,scores={temp=4}] ~ ~ ~ event entity @e[type=piki:farmer_mountain] continue

function gameplay/controllers/traders

### Load players
tp @a 3 85 0 90 0

### Clear barrier blocks in Library
fill -8 83 9 -4 88 -8 air 0 replace minecraft:barrier